% SEND:
% --- P:       single protein sequence as a char
% --- DFTi:    the FTs identified on the protein

% DO:
% --- find the locations of each of the FTs on the protein

% GET:
% --- number of repeats their locations and intervals

function [repeats locations intervals] = get_DFTi_info(P, DFTi)

N = length(DFTi);

%  go over the DFTi
for i = 1:N
    
    % locations
    locations{i} = strfind(P, DFTi{i});
    % intervals
    intervals{i} = diff(locations{i});
    % total number of repetitions
    repeats(i) = length(locations{i});  
    
end

















